// 检测浏览器版本是否是IE8或者更低
function isIE10OrBelow() {
    var userAgent = navigator.userAgent;
    var isIE10OrBelow = /MSIE\s*(\d+)/.test(userAgent) && parseInt(RegExp.$1, 10) <= 10;
    return isIE10OrBelow;
}
// 是否支持某些语法
function isBrowserTooOld() {
    var supported = true
    // 检测是否支持ES5特性
    if (typeof Object.defineProperty !== "function") {
        supported = false;
    }

    // 检测是否支持Promise
    if (typeof Promise === "undefined") {
        supported = false;
    }
    return supported;
}


// 重定向到不支持页面
if (isIE10OrBelow() || !isBrowserTooOld()) {
    window.location.href = './not-supported.html';
}